commit:     dc7892095bbaf0b15803aeb63193593b785495c5
Author:     Holger Hoffstätte <holger <AT> applied-asynchrony <DOT> com>
AuthorDate: Thu Nov 28 13:11:10 2024 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Thu Dec 19 16:06:31 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dc789209

app-metrics/chrony_exporter: add 0.11.0

This adds new metrics for chrony's serverstats, available since 4.4.

Signed-off-by: Holger Hoffstätte <holger <AT> applied-asynchrony.com>
Closes: https://github.com/gentoo/gentoo/pull/39501
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 app-metrics/chrony_exporter/Manifest               |  2 ++
 .../chrony_exporter/chrony_exporter-0.11.0.ebuild  | 37 ++++++++++++++++++++++
 2 files changed, 39 insertions(+)

diff --git a/app-metrics/chrony_exporter/Manifest 
b/app-metrics/chrony_exporter/Manifest
index cc41592ed45d..cb399a61d08a 100644
--- a/app-metrics/chrony_exporter/Manifest
+++ b/app-metrics/chrony_exporter/Manifest
@@ -1,2 +1,4 @@
 DIST chrony_exporter-0.10.1-deps.tar.xz 8939432 BLAKE2B 
91fa640e67ab1b158992808d93093204a040e4487e75443f0c223a3b0d624e8c065785443eaaaa21fa2395df38a49285d209bd35bc95ab72013adc8559b5b99c
 SHA512 
d027d4031ef8635ffbbc9a8d349b60ff1eb26ad17a2d27bd2d56f5a3422983b84891c367d70c43f7ee0ece3165428104611a51e0bc01e35ce1c2a4bd89c648b4
 DIST chrony_exporter-0.10.1.tar.gz 21438 BLAKE2B 
9be912ab6569de2a5e6e39055ba54cc619d8a7c29d0043abda97af13ded6ee7766c97d97cc12cfc3404c4adbb1c779e444a9b3f18bf5ca615ba33f8cd62c70b9
 SHA512 
4e8f321b38605bad448d453e5754c6fe10518fe35ee063552a6dad6c01fbcc2156b1eb40873ba157a324fffc899acdaa8fb33b5464bdfe2c2b620c7849224c2a
+DIST chrony_exporter-0.11.0-deps.tar.xz 41116280 BLAKE2B 
03b6ae2be5d4f40b1676bba081c09aac244e77490ae3f1448e7731b110140ae429c5d3221f06935b8d85c75ef2c730938ce1b90e61e91257c1ce47bf548dff99
 SHA512 
ffab08b45eac42677c59b6b1fdfcbaea1571cfa73ddabebd52b7c5e1080d81f38e049b3983a54bd92c5eb45eff6759d40513c5e71f5c7ab53a60d0986fdedcfd
+DIST chrony_exporter-0.11.0.tar.gz 22601 BLAKE2B 
9c050f55c6a88f2da37269609d885a15436618368141e75301ddbb477b13bd625089f8315ba020595222afb6e18d5812bfd394ac2413c85c9ce9e9dc13cca689
 SHA512 
d531d285fa1ff86d2d3036c2efe93f9cf6cd22b55024a91228f25260d6fe6fdb25c4d5af51c83e799721a51b7c742205436b4dc2eeb2ed9cff965f85a264aa1b

diff --git a/app-metrics/chrony_exporter/chrony_exporter-0.11.0.ebuild 
b/app-metrics/chrony_exporter/chrony_exporter-0.11.0.ebuild
new file mode 100644
index 000000000000..d264fa860fc5
--- /dev/null
+++ b/app-metrics/chrony_exporter/chrony_exporter-0.11.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit go-module
+
+DESCRIPTION="Chrony NTP exporter for Prometheus"
+HOMEPAGE="https://github.com/SuperQ/chrony_exporter";
+
+SRC_URI="https://github.com/SuperQ/${PN}/archive/refs/tags/v${PV}.tar.gz -> 
${P}.tar.gz
+       https://www.applied-asynchrony.com/distfiles/${P}-deps.tar.xz";
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DEPEND="acct-group/chrony_exporter
+               acct-user/chrony_exporter"
+
+BDEPEND="dev-util/promu"
+
+src_prepare() {
+       default
+       # No need to enable the race detector for tests (#935442)
+       sed -i -e '/test-flags := -race/d' Makefile.common || die
+}
+
+src_compile() {
+       promu build -v --cgo --prefix bin || die
+}
+
+src_install() {
+       newbin bin/${P} ${PN}
+       newinitd "${FILESDIR}"/${PN}.initd ${PN}
+       newconfd "${FILESDIR}"/${PN}.confd ${PN}
+}

Reply via email to